## org.jvnet.maven.plugin.antrun
Class DependencyGraph.Edge

    java.lang.Object
      org.jvnet.maven.plugin.antrun.DependencyGraph.Edge

Enclosing class:
  DependencyGraph

    public static final class DependencyGraph.Edge

extends java.lang.Object

Field Summary
`DependencyGraph.Node` `dst` The module that is being dependent by another.
`boolean` `optional` True if this dependency is optional.
`java.lang.String` `scope` Dependency scope.
`DependencyGraph.Node` `src` The module that depends on another.

Constructor Summary
`DependencyGraph.Edge(DependencyGraph g, DependencyGraph.Node src, DependencyGraph.Node dst, java.lang.String scope, boolean optional)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### src

    public final DependencyGraph.Node src

  The module that depends on another.

### dst

    public final DependencyGraph.Node dst

  The module that is being dependent by another.

### scope

    public final java.lang.String scope

  Dependency scope. Stuff like "compile", "runtime", etc. Never null.

### optional

    public final boolean optional

  True if this dependency is optional.

Constructor Detail

### DependencyGraph.Edge

    public DependencyGraph.Edge(DependencyGraph g,
                                DependencyGraph.Node src,
                                DependencyGraph.Node dst,
                                java.lang.String scope,
                                boolean optional)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Copyright © 2011. All Rights Reserved.